using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Nirvana.Common;
using System;
using System.Threading.Tasks;
using Waste.Application;
using Waste.Domain;

namespace Waste.Web.Entry.Pages.Device
{
    public class ConfigModel : PageModel
    {
        private readonly IDeviceService _deviceService;
        public ConfigModel(IDeviceService deviceService)
        {
            _deviceService = deviceService;
        }
        public W_DeviceConfig data = new W_DeviceConfig();
        public async Task OnGet(Guid id)
        {
            data = await _deviceService.GetConfigAsync(id);
            data.DeviceId = id;
        }
    }
}
